static character_state CR_CharacterStateFromString(string String)
{
character_state Result = CR_State_Invalid;
if(0) {}
else if(AreEqual(String, StrLit("none"))) { Result = CR_State_None; }
else if(AreEqual(String, StrLit("normal"))) { Result = CR_State_Normal; }
else if(AreEqual(String, StrLit("happy"))) { Result = CR_State_Happy; }
return(Result);
}

